# Class default

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:85

#####
Index

### Constructors

constructor

### Methods

cancel
cancelByParent
clear
enqueue
enqueueAndWait
getQueueList
getQueueMap
getStats
setNode
updateViewPortPriority

##
Constructors

### constructor

- new default(ipfsInstance$, __namedParameters): default

- #### Parameters

  - ipfsInstance$: Observable<CybIpfsNode>
  - __namedParameters: {
    defferedDbSaver?: IDeferredDbSaver;
    queueDebounceMs?: number;
    strategy?: QueueStrategy;
    }

    - ##### `Optional` defferedDbSaver?: IDeferredDbSaver

    - ##### `Optional` queueDebounceMs?: number

    - ##### `Optional` strategy?: QueueStrategy

  #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:276

##
Methods

### cancel

- cancel(cid): void

- #### Parameters

  - cid: string

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:412

### cancelByParent

- cancelByParent(parent): void

- #### Parameters

  - parent: string

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:426

### clear

- clear(): void

- #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:440

### enqueue

- enqueue(cid, callback, options?): void

- #### Parameters

  - cid: string
  - callback: QueueItemCallback
  - options: QueueItemOptions = {}

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:360

### enqueueAndWait

- enqueueAndWait(cid, options?): Promise<QueueItemAsyncResult>

- #### Parameters

  - cid: string
  - options: QueueItemOptions = {}

  #### Returns Promise<QueueItemAsyncResult>

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:393

### getQueueList

- getQueueList(): QueueItem[]

- #### Returns QueueItem[]

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:456

### getQueueMap

- getQueueMap(): QueueMap

- #### Returns QueueMap

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:452

### getStats

- getStats(): QueueStats[]

- #### Returns QueueStats[]

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:460

### setNode

- setNode(node, customStrategy?): Promise<void>

- #### Parameters

  - node: CybIpfsNode
  - `Optional` customStrategy: QueueStrategy

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:110

### updateViewPortPriority

- updateViewPortPriority(cid, viewPortPriority): void

- #### Parameters

  - cid: string
  - viewPortPriority: number

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueManager.ts:408